Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf.idpdisco
Interface Logo

All Superinterfaces:
  org.opensaml.xml.LangBearing, org.opensaml.common.SAMLObject, org.opensaml.xml.validation.ValidatingXMLObject, org.opensaml.xml.XMLObject

All Known Implementing Classes:
  LogoImpl

    public interface Logo

extends org.opensaml.xml.LangBearing, org.opensaml.common.SAMLObject

Localized logo type.

Field Summary
`static String` | `DEFAULT_ELEMENT_LOCAL_NAME` Element local name.
`static QName` | `DEFAULT_ELEMENT_NAME` Default element name.
`static String` | `HEIGHT_ATTR_NAME`
`static String` | `WIDTH_ATTR_NAME`

Fields inherited from interface org.opensaml.xml.LangBearing
`XML_LANG_ATTR_LOCAL_NAME, XML_LANG_ATTR_NAME`

Method Summary
`Integer` | `getHeight()` Get the height of the logo.
`org.opensaml.saml2.metadata.LocalizedString` | `getURL()` Gets the URL.
`Integer` | `getWidth()` Get the width of the logo.
`void` | `setHeight(Integer newHeight)` Sets the height of the logo.
`void` | `setURL(org.opensaml.saml2.metadata.LocalizedString newURL)` Sets the URL.
`void` | `setWidth(Integer newWidth)` Sets the width of the logo.

Methods inherited from interface org.opensaml.xml.LangBearing
`getXMLLang, setXMLLang`

Methods inherited from interface org.opensaml.xml.validation.ValidatingXMLObject
`deregisterValidator, getValidators, registerValidator, validate`

Methods inherited from interface org.opensaml.xml.XMLObject
`addNamespace, detach, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, removeNamespace, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

Field Detail

### DEFAULT_ELEMENT_LOCAL_NAME

    static final String DEFAULT_ELEMENT_LOCAL_NAME

  Element local name.

  See Also:
    Constant Field Values

### DEFAULT_ELEMENT_NAME

    static final QName DEFAULT_ELEMENT_NAME

  Default element name.

### HEIGHT_ATTR_NAME

    static final String HEIGHT_ATTR_NAME

See Also:
  Constant Field Values

### WIDTH_ATTR_NAME

    static final String WIDTH_ATTR_NAME

See Also:
  Constant Field Values

Method Detail

### getURL

    org.opensaml.saml2.metadata.LocalizedString getURL()

  Gets the URL.

  Returns:
    the URL

### setURL

    void setURL(org.opensaml.saml2.metadata.LocalizedString newURL)

  Sets the URL.

  Parameters:
    `newURL` - the URL

### getHeight

    Integer getHeight()

  Get the height of the logo.

  Returns:
    the height of the logo

### setHeight

    void setHeight(Integer newHeight)

  Sets the height of the logo.

  Parameters:
    `newHeight` - the height of the logo

### getWidth

    Integer getWidth()

  Get the width of the logo.

  Returns:
    the width of the logo

### setWidth

    void setWidth(Integer newWidth)

  Sets the width of the logo.

  Parameters:
    `newWidth` - the height of the logo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.